<?php

require_once "BASEPATH.php";

// Ruta para los archivos de config
// RUTA_APP.'application/temp/CLIENTE.json'

class Extras extends MY_Controller
{

    public function index()
    {
        if (
            file_exists("/etc/dialvox/dialvox_plugins/" . $_SESSION["Cliente"] . ".json")
        ) {
            $str_extra = file_get_contents("/etc/dialvox/dialvox_plugins/" . $_SESSION["Cliente"] . ".json");
        } else {
            $str_extra = file_get_contents(RUTA_APP . "../dialvox_plugins/" . $_SESSION["Cliente"] . ".json");
        }
        // file_exists(RUTA_APP."application/temp/".$_SESSION["Cliente"].".json")
        $arr_extra = json_decode($str_extra, true);
        $this->load->view('extras/head');
        $this->load->view('extras/vw_extras', $arr_extra[$_GET["extra"]]);
        $this->load->view('extras/foot');
    }

    public function omnicanalidad()
    {
        $this->load->view('extras/head');
        $this->load->view('extras/vw_omnicanalidad', $_SESSION["ConfigOmnicanalidad"][$_GET["extra"]]);
        $this->load->view('extras/foot');
    }

    public function secciones()
    {
        $this->load->view('extras/head');
        $this->load->view('extras/vw_secciones', $_SESSION["ConfigExtras"][$_GET["extra"]]);
        $this->load->view('extras/foot');
    }
}
